Do you get such message when you try update(sudo apt-get update) softwares in Ubuntu?

Failed to fetch http://dl.google.com/linux/chrome/deb/dists/stable/Release 
Unable to find expected entry 'main/binary-i386/Packages' in Release file
(Wrong sources.list entry or malformed file)  
Some index files failed to download.  
They have been ignored, or old ones used instead.

Here is the solution:

Open terminal (ctrl+alt+T), type this:

sudo gedit /etc/apt/sources.list.d/google-chrome.list

In opened editor window
change this
deb http://dl.google.com/linux/chrome/deb/ stable main
to this
deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main
That’s all. Save and close the windows.
Then do simple update via GUI or sudo apt-get update

Leave a reply

<a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong> 

required